[SRU] icehouse 2014.1.3 point release

Bug #1377136 reported by Corey Bryant on 2014-10-03
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
openstack-trove (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

OpenStack 2014.1.3 released yesterday (02 October, 2014).

From the release email from Adam Gandelman:

Hello everyone,

The OpenStack Stable Maintenance team is happy to announce the 2014.1.3
stable Icehouse release. We have been busy reviewing and accepting backported
bugfixes to the stable/icehouse branches according to the criteria set at:

https://wiki.openstack.org/wiki/StableBranch

A total of 131 bugs have been fixed across all projects since 2014.1.2.
These updates to Icehouse are intended to be low risk with no intentional
regressions or API changes. The list of bugs, tarballs and other milestone
information for each project may be found on Launchpad:

https://launchpad.net/ceilometer/icehouse/2014.1.3
https://launchpad.net/cinder/icehouse/2014.1.3
https://launchpad.net/glance/icehouse/2014.1.3
https://launchpad.net/heat/icehouse/2014.1.3
https://launchpad.net/horizon/icehouse/2014.1.3
https://launchpad.net/keystone/icehouse/2014.1.3
https://launchpad.net/neutron/icehouse/2014.1.3
https://launchpad.net/nova/icehouse/2014.1.3
https://launchpad.net/trove/icehouse/2014.1.3

Release notes may be found on the wiki:

https://wiki.openstack.org/wiki/ReleaseNotes/2014.1.3

The freeze on the stable/icehouse branches will be lifted today as we
begin working toward 2014.1.4, which will be released on a TBD date after
the Kilo-3 release.

Thanks,
Adam

Related branches

affects: ubuntu → ceilometer (Ubuntu)
Changed in openstack-trove (Ubuntu):
status: New → Won't Fix
Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in openstack-trove (Ubuntu Trusty):
status: New → Won't Fix

Hello Corey, or anyone else affected,

Accepted ceilometer into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceilometer/2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in cinder (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted glance into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Trusty):
status: New → Fix Committed
Changed in horizon (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted nova into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Trusty):
status: New → Fix Committed
Changed in heat (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted heat into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hi Chris,

Testing of the 2014.1.3 OpenStack packages from trusty-proposed has completed successfully.

Thanks,
Corey

tags: added: verification-done
removed: verification-needed
Corey Bryant (corey.bryant) wrote :

Hi Chris,

Testing of the 2014.1.3 OpenStack packages (including keystone 1:2014.1.3-0ubuntu2) from trusty-proposed has completed successfully.

Thanks,
Corey

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2014.1.3-0ubuntu1

---------------
ceilometer (2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (4e2c1cd) (LP: #1377136):
    - [ccd6b98] VMware: Support secret host_password option
    - [7ff220f] Fix tests with testtools>=0.9.39
    - [014c41e] update default_log_levels set by ceilometer
    - [0ba75c8] fix statistics query in postgres
    - [4e2c1cd] fix StringIO errors in unit test
  * d/p/fix-requirements.patch: Rebased.
 -- Chuck Short <email address hidden> Fri, 03 Oct 2014 15:21:02 -0400

Changed in ceilometer (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ceilometer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.1.3-0ubuntu1

---------------
glance (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (01ebe84) (LP: #1377136):
    - [f43b1c2] Block sqlalchemy-migrate 0.9.2
    - [d0453ae] Check on schemes not stores
    - [bba31d0] Fix collection order issues and unit test failures
    - [31a4d18] Enforce image_size_cap on v2 upload
    - [fcc9379] Fix image killed after deletion
    - [01ebe84] Set python hash seed to 0 in tox.ini
 -- Chuck Short <email address hidden> Mon, 06 Oct 2014 08:49:14 -0400

Changed in glance (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1.3-0ubuntu1

---------------
horizon (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Chris Johnston ]
  * Fix Ubuntu theme dropdown and confirmation button (LP: #1308651).

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (dc8e46f) (LP: #1377136):
    - [ba524b0] template to rely on the the "id" attribute
    - [ad2d428] Rename add_error methods: Django 1.7 conflict
    - [8dfe113] Replace Ceilometer ClientException with HTTPException
    - [f5e1ff4] Add missing "load url from future" in a container template
    - [839c53d] Add OS_REGION_NAME to openrc
    - [737fe40] Set the correct min_disk size when creating volume from image
    - [a8eeed9] Allow forms to disable autofill in all browsers
    - [e32a00d] Fix endpoint error when running keystone on apache
    - [faac9e7] Not able to delete a pseudo-folder via horizon
    - [b6d6e15] Set python hash seed to 0 in tox.ini
    - [ba908ae] Fix XSS issue with the unordered_list filter
    - [9a5894b] Long container names no longer break the page
    - [c9cb128] TEMPLATE_DIRS must be a tuple
    - [95dcdae] Proper port for LBaaS members
    - [dc8e46f] Use default_project_id as user project for keystone v3
 -- Chuck Short <email address hidden> Mon, 06 Oct 2014 09:00:21 -0400

Changed in horizon (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.1.3-0ubuntu1

---------------
cinder (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (360705a) (LP: #1377136):
    - [7eef596] Refuse invalid qcow2 backing files
    - [8f7823d] Fixes terminate_connection live migration issue
    - [db5a25d] NetApp NFS: Do not reference dst_img_local before assignment
    - [ec249ee] Sync latest process and str utils from oslo
    - [d3b1102] Fix KeyError exception in NetApp CDOT iscsi driver volume create.
    - [1604b49] Don't clear _mounted_shares list in remoteFS while updating
    - [da5c3e6] Update cinder.conf.sample
    - [8178590] Block sqlalchemy-migrate 0.9.2
    - [5863f52] Mock glance client object in version unit tests
    - [03573a0] VMware: Disable suds caching
    - [c282636] Honor volume:get policy
    - [da65d08] Prevent tenant viewing volumes owned by another
    - [5f88296] Fix performance issues with brocade zone driver.
    - [36406c9] Cache snapshots in request for extension
    - [ce35e7a] volume_image_metadata missing from volume list
    - [69ade10] Add retry_on_deadlock to db update methods
    - [3b4d5b0] Add fix for reservation index to icehouse
    - [360705a] vmware: Force chunked transfer for upload-to-image
  * d/p/fix-requirements.patch: Rebased.
 -- Chuck Short <email address hidden> Fri, 03 Oct 2014 15:32:56 -0400

Changed in cinder (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1.3-0ubuntu1

---------------
neutron (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (4a0210e) (LP: #1377136):
    - [3a30d19] Deletes floating ip related connection states
    - [dd4b77f] Forbid regular users to reset admin-only attrs to default values
    - [dc2c893] Add delete operations for the ODL MechanismDriver
    - [b51e2c7] Add missing ml2 plugin to migration 1fcfc149aca4
    - [a17a500] Don't convert numeric protocol values to int
    - [3a85946] NSX: Optionally not enforce nat rule match length check
    - [645f984] Don't spawn metadata-proxy for non-isolated nets
    - [b464d89] Big Switch: Check for 'id' in port before lookup
    - [3116ffa] use TRUE in SQL for boolean var
    - [3520e66] call security_groups_member_updated in port_update
    - [50e1534] Don't allow user to set firewall rule with port and no protocol
    - [0061533] BSN: Add context to backend request for debugging
    - [6de6d61] Improve ODL ML2 Exception Handling
    - [2a4153d] Send network name and uuid to subnet create
    - [b5e3c9a] BSN: Allow concurrent reads to consistency DB
    - [b201432] Big Switch: Retry on 503 errors from backend
    - [f6c47ee] NSX: log request body to NSX as debug
    - [97d622a] Fix metadata agent's auth info caching
    - [255df45] NSX: Correct allowed_address_pair return value on create_port
    - [5bea041] Neutron should not use the neutronclient utils module for import_class
    - [d5314e2] Cisco N1kv plugin to send subtype on network profile creation
    - [f32d1ce] Pass object to policy when finding fields to strip
    - [8b5f6be] Call policy.init() once per API request
    - [9a6d811] Perform policy checks only once on list responses
    - [c48db90] Datacenter moid should not be tuple
    - [161d465] Allow unsharing a network used as gateway/floatingip
    - [9574a2f] Add support for router scheduling in Cisco N1kv Plugin
    - [6f54565] Fix func job hook script permission problems
    - [ea43103] Add hook scripts for the functional infra job
    - [8161cb7] Fixes Hyper-V agent issue on Hyper-V 2008 R2
    - [8e99cfd] Fixes Hyper-V issue due to ML2 RPC versioning
    - [69f9121] Ensure ip6tables are used only if ipv6 is enabled in kernel
    - [399b809] Remove explicit dependency on amqplib
    - [a872143] Clear entries in Cisco N1KV specific tables on rollback
    - [ad82fad] Verify ML2 type driver exists before calling del
    - [af2cc98] Big Switch: Only update hash header on success
    - [b1e5eec] Ignore variable column widths in ovsdb functional tests
    - [4a0210e] VMWare: don't notify on disassociate_floatingips()
 -- Chuck Short <email address hidden> Mon, 06 Oct 2014 09:15:06 -0400

Changed in neutron (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.1.3-0ubuntu1

---------------
heat (2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (986563e) (LP: #1377136):
    - [3cebf6d] Handle NotFoundException when deleting alarm
    - [c1c48e2] Support multiple heatclient versions for SD
    - [986563e] Set python hash seed to 0 in tox.ini
  * d/p/fix-requirements.patch: Rebased.
 -- Chuck Short <email address hidden> Mon, 06 Oct 2014 09:55:35 -0400

Changed in heat (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.1.3-0ubuntu2

---------------
keystone (1:2014.1.3-0ubuntu2) trusty; urgency=medium

  [ Edward Hope-Morley ]
  * Added python-ldap as install dep (LP: #1364854)
 -- Chuck Short <email address hidden> Fri, 10 Oct 2014 12:54:47 -0400

Changed in keystone (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.9 KiB)

This bug was fixed in the package nova - 1:2014.1.3-0ubuntu1

---------------
nova (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Liam Young ]
  * d/p/cells-json-store.patch: Fix issue with nova-cells failing when using
    JSON file to store cell information (LP: #1314677).

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (a058646) (LP: #1377136):
    - [1a95c95] Adds tests for Hyper-V VM Utils
    - [bb47d55] Removes unnecessary instructions in test_hypervapi
    - [4f41d37] Fixes a Hyper-V list_instances localization issue
    - [9015410] Adds list_instance_uuids to the Hyper-V driver
    - [3371ad8] Add _wrap_db_error() support to Session.commit()
    - [dfb0e0f] Neutron: Atomic update of instance info cache
    - [bce481c] Ensure info cache updates don't overwhelm cells
    - [f58d95c] Sync process and str utils from oslo
    - [4e6371b] remove test_multiprocess_api
    - [7e09173] Fixes Hyper-V agent force_hyperv_utils_v1 flag issue
    - [7523ab4] Fix attaching config drive issue on Hyper-V when migrate instances
    - [74e0ba7] Fix live-migration failure in FC multipath case
    - [b61aa4d] libvirt: Save device_path in connection_info when booting from volume
    - [f93b8ee] Made unassigned networks visible in flat networking
    - [82cc3be] Do not fail cell's instance deletion, if it's missing info_cache
    - [d72c0a4] Fixes Hyper-V boot from volume root device issue
    - [0d3dad7] Fixes Hyper-V resize down exception
    - [5d5970a] db: Add @_retry_on_deadlock to service_update()
    - [9596f52] Add Hyper-V driver in the "compute_driver" option description
    - [4a8d6ca] Block sqlalchemy migrate 0.9.2 as it breaks all of nova
    - [311ab57] Move the error check for "brctl addif"
    - [df09c2a] Fix rootwrap for non openstack.org iqn's
    - [1613cd99] Fix instance boot when Ceph is used for ephemeral storage
    - [4bc680f] Make floatingip-ip-delete atomic with neutron
    - [0d69163] Fix race condition with vif plugging in finish migrate
    - [520aa4c] libvirt: Use VIR_DOMAIN_AFFECT_LIVE for paused instances
    - [3c34e37] add repr for event objects
    - [1b7ab22] make lifecycle event logs more clear
    - [e1d6e18] Catch missing Glance image attrs with None
    - [b591389] Update block_device_info to contain swap and ephemeral disks
    - [2155188] Adds get_instance_disk_info to compute drivers
    - [87f842d] Fixes Hyper-V vm state issue
    - [1106ef2] Fix expected error details from jsonschema
    - [e5e6bc7] Include next link when default limit is reached
    - [526853e] Fix FloatingIP.save() passing FixedIP object to sqlalchemy
    - [4e1e217] Read deleted instances during lifecycle events
    - [d8b9ba5] Add a retry_on_deadlock to reservations_expire
    - [b53adea] Add expire reservations in backport position.
    - [e874ee2] Fixes Hyper-V SCSI slot selection
    - [471e644] VMware: do not cache image when root_gb is 0
    - [825cfe4] Fix _parse_datetime in simple tenant usage extension
    - [073ee06] Avoid traceback logs from simple tenant usage extension
    - [9447203] replace NovaException with VirtualInterfaceCreate when neutron fails
    - [6b7cb1a] libvirt: convert cpu features attribute from list...

Read more...

Changed in nova (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers